function saMat = SSDB_FastC1(X,options);
 
 d.OrigSize = [128 128];
 d.WorkingSize = [128 128];
 d.bLHEQ = 0;
 d.LHEQSize = [16 16];
 if(not(exist('options')))
   options = [];
 end
 options = ResolveMissingOptions(options,d);
 nEx = size(X,2);
 % C1options.C1Ver001 = 1;
 for i = 1:nEx
   fprintf('SSDB_FastC1 image %d of %d\r',i,nEx);
   stim = reshape(X(:,i),options.OrigSize);
   stim = imresize(stim,options.WorkingSize,'bilinear');
   if(options.bLHEQ)
     LHQoptions.FastApproximation = 1;
     stim = LocalHistogramEqualize(stim,options.LHEQSize,64,LHQoptions);
   end
   caC1 = c1Img2C1Simple(stim,options);
   M = caC1{1};
   if(i == 1);
     saMat.X = zeros(length(M(:)),nEx);
   end
   saMat.X(:,i) = M(:);
 end
